## drkonqi 5.19.5

=== debian/changelog ===
drkonqi (5.19.5-3) unstable; urgency=medium

  [ Scarlett Moore ]
  * Add missing d/upstream/metadata.

 -- Norbert Preining <norbert@preining.info>  Fri, 06 Nov 2020 08:37:21 +0900

drkonqi (5.19.5-2) experimental; urgency=medium

  * Rebuild for Qt 5.15

 -- Norbert Preining <norbert@preining.info>  Mon, 02 Nov 2020 09:27:39 +0900

drkonqi (5.19.5-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.19.5).
  * Add Patrick and myself to uploaders.

  [ Scarlett Moore ]
  * Improve Long Description in d/control.

 -- Norbert Preining <norbert@preining.info>  Mon, 19 Oct 2020 10:25:31 +0900

drkonqi (5.19.4-1) experimental; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * Bump compat level to 13.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.18.5).
  * Update build-deps and deps with the info from cmake.
  * Remove not needed injection of linker flags.
  * Add myself to Uploaders.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Set/Update field Upstream-Contact in debian/copyright.
  * Improve Long Description in d/control.

  [ Patrick Franz ]
  * Add hardening=+all build flag.
  * Update matching files in debian/copyright.
  * New upstream release (5.19.4).
  * Update build-deps and deps with the info from cmake.
  * Change Maintainer in debian/control to Debian Qt/KDE Maintainers.
  * Remove Maxy from Uploaders as requested.

 -- Pino Toscano <pino@debian.org>  Sat, 29 Aug 2020 23:29:54 +0200

=== debian/control ===
Source: drkonqi
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <patfra71@gmail.com>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.0~),
               dbus-x11,
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.70.0~),
               gettext,
               libkf5completion-dev (>= 5.70.0~),
               libkf5configwidgets-dev (>= 5.70.0~),
               libkf5coreaddons-dev (>= 5.70.0~),
               libkf5crash-dev (>= 5.70.0~),
               libkf5i18n-dev (>= 5.70.0~),
               libkf5idletime-dev (>= 5.70.0~),
               libkf5jobwidgets-dev (>= 5.70.0~),
               libkf5kio-dev (>= 5.70.0~),
               libkf5notifications-dev (>= 5.70.0~),
               libkf5service-dev (>= 5.70.0~),
               libkf5syntaxhighlighting-dev (>= 5.70.0~),
               libkf5wallet-dev (>= 5.70.0~),
               libkf5widgetsaddons-dev (>= 5.70.0~),
               libkf5windowsystem-dev (>= 5.70.0~),
               libqt5x11extras5-dev (>= 5.12.0~),
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.14.0~),
               zlib1g-dev,
Standards-Version: 4.5.0
Homepage: https://invent.kde.org/plasma/drkonqi
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/drkonqi
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/drkonqi.git
Rules-Requires-Root: no

Package: drkonqi
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: plasma-workspace (<< 4:5.14)
Replaces: plasma-workspace (<< 4:5.11)
Description: Crash handler for Qt applications
 Drkonqi shows a dialog for dealing with application crashes.
 Drkonqi also doesn't technically require a process to actually crash, you can simply run it manually on any old pid. Do note that in most cases you only need to define the pid, however not giving certain cmdline options can change behavior somewhat drastically
 (e.g. kdeinit vs. notkdeinit behaves radically different as far as process name detection goes) . Drkonqi has a number of backends that may be used. Backends are stacked by order of preference, backends in the directory of the binary are most preferred. This means that you can dump debuggers/internal/ into your build's bin/ directory and override for example gdb. This essentially allows you to replace
 the gdb debugger with a cat of a fixture file to not have to trace live processes at all.

## drkonqi 5.20.4

=== debian/changelog ===
drkonqi (5.20.4-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 11:04:36 +0900

drkonqi (5.20.4-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.20.4).

 -- Norbert Preining <norbert@preining.info>  Wed, 09 Dec 2020 14:17:31 +0900

=== debian/control ===
--- 
+++ 
@@ -4,30 +4,30 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Scarlett Moore <sgmoore@kde.org>,
            Patrick Franz <patfra71@gmail.com>,
-           Norbert Preining <norbert@preining.info>,
+           Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.0~),
                dbus-x11,
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.70.0~),
+               extra-cmake-modules (>= 5.74~),
                gettext,
-               libkf5completion-dev (>= 5.70.0~),
-               libkf5configwidgets-dev (>= 5.70.0~),
-               libkf5coreaddons-dev (>= 5.70.0~),
-               libkf5crash-dev (>= 5.70.0~),
-               libkf5i18n-dev (>= 5.70.0~),
-               libkf5idletime-dev (>= 5.70.0~),
-               libkf5jobwidgets-dev (>= 5.70.0~),
-               libkf5kio-dev (>= 5.70.0~),
-               libkf5notifications-dev (>= 5.70.0~),
-               libkf5service-dev (>= 5.70.0~),
-               libkf5syntaxhighlighting-dev (>= 5.70.0~),
-               libkf5wallet-dev (>= 5.70.0~),
-               libkf5widgetsaddons-dev (>= 5.70.0~),
-               libkf5windowsystem-dev (>= 5.70.0~),
-               libqt5x11extras5-dev (>= 5.12.0~),
+               libkf5completion-dev (>= 5.74~),
+               libkf5configwidgets-dev (>= 5.74~),
+               libkf5coreaddons-dev (>= 5.74~),
+               libkf5crash-dev (>= 5.74~),
+               libkf5i18n-dev (>= 5.74~),
+               libkf5idletime-dev (>= 5.74~),
+               libkf5jobwidgets-dev (>= 5.74~),
+               libkf5kio-dev (>= 5.74~),
+               libkf5notifications-dev (>= 5.74~),
+               libkf5service-dev (>= 5.74~),
+               libkf5syntaxhighlighting-dev (>= 5.74~),
+               libkf5wallet-dev (>= 5.74~),
+               libkf5widgetsaddons-dev (>= 5.74~),
+               libkf5windowsystem-dev (>= 5.74~),
+               libqt5x11extras5-dev (>= 5.15.0~),
                pkg-kde-tools (>= 0.15.18~),
-               qtbase5-dev (>= 5.14.0~),
-               zlib1g-dev,
+               qtbase5-dev (>= 5.15.0~),
+               zlib1g-dev
 Standards-Version: 4.5.0
 Homepage: https://invent.kde.org/plasma/drkonqi
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/drkonqi

## drkonqi 5.20.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(drkonqi)
set(PROJECT_VERSION "5.20.5")
set(PROJECT_VERSION_MAJOR 5)

set(QT_MIN_VERSION "5.15.0")
set(KF5_MIN_VERSION "5.74")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)
include(ECMMarkAsTest)
include(CheckFunctionExists)
include(FeatureSummary)
include(KDEClangFormat)

kde_enable_exceptions()

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Widgets Test DBus Concurrent)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS I18n CoreAddons Service
    ConfigWidgets JobWidgets KIO Crash Completion WidgetsAddons Wallet
    Notifications IdleTime WindowSystem SyntaxHighlighting)
find_package(Qt5X11Extras ${QT_MIN_VERSION} CONFIG)
set_package_properties(Qt5X11Extras PROPERTIES TYPE RECOMMENDED PURPOSE "Recommended for better integration on X11.")

if (MINGW)
    find_package(ZLIB REQUIRED)
    find_library(INTL_LIBRARY NAMES intl)
    find_library(IBERTY_LIBRARY NAMES iberty)
    find_library(BFD_LIBRARY NAMES bfd)
    if (IBERTY_LIBRARY)
        set(iberty_FOUND 1)
    else()
        set(msg "iberty")
    endif()
    if (BFD_LIBRARY)
        set(bfd_FOUND 1)
    else()
        set(msg "${msg} bfd")
    endif()
    if (INTL_LIBRARY)
        set(intl_FOUND 1)
    else()
        set(msg "${msg} intl")
    endif()
    if (msg)
        message(FATAL_ERROR "could not find ${msg}")
    endif()

    add_library(intl SHARED IMPORTED)
    set_target_properties(intl PROPERTIES
        IMPORTED_IMPLIB ${INTL_LIBRARY}
    )
    add_library(iberty STATIC IMPORTED)
    set_target_properties(iberty PROPERTIES
        IMPORTED_LOCATION ${IBERTY_LIBRARY}
    )
    add_library(bfd STATIC IMPORTED)
    set_target_properties(bfd PROPERTIES
        IMPORTED_LOCATION ${BFD_LIBRARY}
        # bfd header requires this to be defined
        INTERFACE_COMPILE_DEFINITIONS "PACKAGE;PACKAGE_VERSION"
    )
    find_path(BFD_INCLUDE_DIR bfd.h)
    include_directories(${BFD_INCLUDE_DIR})
endif()

include_directories("${CMAKE_CURRENT_BINARY_DIR}")

add_subdirectory(src)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

install(FILES drkonqi.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

if (${ECM_VERSION} STRGREATER "5.58.0")
    install(FILES drkonqi.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
else()
    install(FILES drkonqi.categories DESTINATION ${KDE_INSTALL_CONFDIR})
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== src/CMakeLists.txt ===
include (CheckFunctionExists)

check_function_exists("strsignal" HAVE_STRSIGNAL)
check_function_exists("uname" HAVE_UNAME)

if (NOT DEBUG_PACKAGE_INSTALLER_NAME)
    set (DEBUG_PACKAGE_INSTALLER_NAME "installdbgsymbols.sh")
endif ()

configure_file (config-drkonqi.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-drkonqi.h )

add_subdirectory( bugzillaintegration/libbugzilla )
add_subdirectory( data )
add_subdirectory( parser )
if ( WIN32 )
    find_package(KDEWin REQUIRED)
    # for finding drkonqi_debug.h
    include_directories(${CMAKE_CURRENT_BINARY_DIR})
    add_subdirectory( kdbgwin )
endif ()

set(drkonqi_SRCS
    drkonqidialog.cpp
    statuswidget.cpp
    aboutbugreportingdialog.cpp
    backtraceratingwidget.cpp
    backtracewidget.cpp
    backtracegenerator.cpp
    drkonqi.cpp
    drkonqibackends.cpp
    detachedprocessmonitor.cpp
    debugpackageinstaller.cpp
    systeminformation.cpp
    crashedapplication.cpp
    debugger.cpp
    debuggerlaunchers.cpp
    ptracer.cpp
    debuggermanager.cpp
    applicationdetailsexamples.cpp
    statusnotifier.cpp
)

ki18n_wrap_ui(drkonqi_SRCS
    ui/maindialog.ui
    ui/backtracewidget.ui
)

# if BACKTRACE_PARSER_DEBUG is enabled, it will show both the
# parsed and the unparsed backtrace in the backtrace widget.
# Comment this out for release.
#add_definitions(-DBACKTRACE_PARSER_DEBUG)


set(drkonqi_SRCS
    ${drkonqi_SRCS}
    bugzillaintegration/assistantpage_bugzilla_version.cpp
    bugzillaintegration/bugzillalib.cpp
    bugzillaintegration/reportassistantdialog.cpp
    bugzillaintegration/reportassistantpage.cpp
    bugzillaintegration/reportassistantpages_base.cpp
    bugzillaintegration/reportassistantpages_bugzilla.cpp
    bugzillaintegration/reportassistantpages_bugzilla_duplicates.cpp
    bugzillaintegration/reportinterface.cpp
    bugzillaintegration/productmapping.cpp
    bugzillaintegration/parsebugbacktraces.cpp
    bugzillaintegration/duplicatefinderjob.cpp
)
ki18n_wrap_ui(drkonqi_SRCS
    bugzillaintegration/ui/assistantpage_introduction.ui
    bugzillaintegration/ui/assistantpage_bugawareness.ui
    bugzillaintegration/ui/assistantpage_conclusions.ui
    bugzillaintegration/ui/assistantpage_conclusions_dialog.ui
    bugzillaintegration/ui/assistantpage_bugzilla_login.ui
    bugzillaintegration/ui/assistantpage_bugzilla_duplicates.ui
    bugzillaintegration/ui/assistantpage_bugzilla_duplicates_dialog.ui
    bugzillaintegration/ui/assistantpage_bugzilla_duplicates_dialog_confirmation.ui
    bugzillaintegration/ui/assistantpage_bugzilla_information.ui
    bugzillaintegration/ui/assistantpage_bugzilla_preview.ui
    bugzillaintegration/ui/assistantpage_bugzilla_send.ui
    bugzillaintegration/ui/assistantpage_bugzilla_version.ui
)

ecm_qt_declare_logging_category(drkonqi_SRCS HEADER drkonqi_debug.h IDENTIFIER DRKONQI_LOG CATEGORY_NAME org.kde.drkonqi)

# transient static lib we can use to link autotests against
add_library(DrKonqiInternal STATIC ${drkonqi_SRCS})

target_link_libraries(DrKonqiInternal
    KF5::I18n
    KF5::CoreAddons
    KF5::Service
    KF5::ConfigWidgets
    KF5::JobWidgets
    KF5::KIOCore
    KF5::Crash
    KF5::Completion
    KF5::WindowSystem
    Qt5::DBus

    KF5::WidgetsAddons
    KF5::Wallet

    KF5::Notifications # for status notifier
    KF5::IdleTime # hide status notifier only if user saw it

    KF5::SyntaxHighlighting # Backtrace Highlighting

    drkonqi_backtrace_parser
    qbugzilla
)
if (${Qt5X11Extras_FOUND})
    target_link_libraries(DrKonqiInternal
        Qt5::X11Extras
    )
endif()

if (WIN32)
    target_link_libraries(DrKonqiInternal kdewin)
endif()

add_executable(drkonqi main.cpp)
ecm_mark_nongui_executable(drkonqi)
target_link_libraries(drkonqi DrKonqiInternal)

install(TARGETS drkonqi DESTINATION ${KDE_INSTALL_LIBEXECDIR})
configure_file(org.kde.drkonqi.desktop.cmake ${CMAKE_BINARY_DIR}/src/org.kde.drkonqi.desktop)
install(PROGRAMS ${CMAKE_BINARY_DIR}/src/org.kde.drkonqi.desktop DESTINATION ${KDE_INSTALL_APPDIR})

add_subdirectory( tests )

add_subdirectory(bugzillaintegration/libbugzilla/autotests)

if(BUILD_COVERAGE AND BUILD_TESTING) # coverage without tests make no sense
    add_custom_target(coverage)
    add_custom_command(TARGET coverage
        COMMAND ctest
        COMMAND lcov -o ${CMAKE_BINARY_DIR}/lcov.report -c -d ${CMAKE_BINARY_DIR}
        COMMAND genhtml -o ${CMAKE_BINARY_DIR}/coverage ${CMAKE_BINARY_DIR}/lcov.report
        COMMAND find ${CMAKE_BINARY_DIR} -iname *.gcda | xargs rm -v
        DEPENDS test
    )
    add_custom_target(show-coverage
        COMMAND xdg-open ${CMAKE_BINARY_DIR}/coverage/index.html
        DEPENDS coverage
    )
endif()

=== src/kdbgwin/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/..)

set(kdbgwin_SRCS
    common.h
    main.cpp
    kdbgwin_process.h
    kdbgwin_process.cpp
    abstract_generator.h
    abstract_generator.cpp
    callbacks.h
    callbacks.cpp
    outputters.h
    outputters.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/../drkonqi_debug.cpp
)

set(COMMON_LIBS dbghelp psapi shlwapi Qt5::Core)

if ( MINGW )
    add_executable(kdbgwin ${kdbgwin_SRCS} mingw_generator.h mingw_generator.cpp)
    target_link_libraries(kdbgwin PRIVATE ${COMMON_LIBS} bfd iberty intl ZLIB::ZLIB)
endif ()
if ( MSVC OR ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Intel"))
    add_executable(kdbgwin ${kdbgwin_SRCS} msvc_generator.h msvc_generator.cpp)
    target_link_libraries(kdbgwin ${COMMON_LIBS})
endif ()

install(TARGETS kdbgwin DESTINATION ${KDE_INSTALL_LIBEXECDIR})

=== debian/changelog ===
drkonqi (5.20.5-1) unstable; urgency=medium

  * New upstream release (5.20.5).
  * Reformat long description to make lintian happy.

 -- Norbert Preining <norbert@preining.info>  Wed, 06 Jan 2021 23:50:50 +0900

=== debian/control ===
--- 
+++ 
@@ -41,6 +41,15 @@
 Replaces: plasma-workspace (<< 4:5.11)
 Description: Crash handler for Qt applications
  Drkonqi shows a dialog for dealing with application crashes.
- Drkonqi also doesn't technically require a process to actually crash, you can simply run it manually on any old pid. Do note that in most cases you only need to define the pid, however not giving certain cmdline options can change behavior somewhat drastically
- (e.g. kdeinit vs. notkdeinit behaves radically different as far as process name detection goes) . Drkonqi has a number of backends that may be used. Backends are stacked by order of preference, backends in the directory of the binary are most preferred. This means that you can dump debuggers/internal/ into your build's bin/ directory and override for example gdb. This essentially allows you to replace
- the gdb debugger with a cat of a fixture file to not have to trace live processes at all.
+ .
+ Drkonqi also doesn't technically require a process to actually crash, you
+ can simply run it manually on any old pid. Do note that in most cases you
+ only need to define the pid, however not giving certain cmdline options can
+ change behavior somewhat drastically (e.g. kdeinit vs. notkdeinit behaves
+ radically different as far as process name detection goes) . Drkonqi has a
+ number of backends that may be used. Backends are stacked by order of
+ preference, backends in the directory of the binary are most preferred.
+ This means that you can dump debuggers/internal/ into your build's bin/
+ directory and override for example gdb. This essentially allows you to
+ replace the gdb debugger with a cat of a fixture file to not have to trace
+ live processes at all.

## drkonqi 5.21.4

=== debian/changelog ===
drkonqi (5.21.4-0ubuntu1) hirsute; urgency=medium

  * New upstream bugfix and translation release (5.21.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Apr 2021 11:08:40 +0100

drkonqi (5.21.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Mar 2021 20:32:33 +0000

drkonqi (5.21.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Mar 2021 14:11:36 +0000

drkonqi (5.21.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 23 Feb 2021 15:05:10 +0000

drkonqi (5.21.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Feb 2021 14:20:51 +0000

drkonqi (5.20.90-0ubuntu1) hirsute; urgency=medium

  * New upstream (beta) release (5.20.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 21 Jan 2021 23:43:52 +0000

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
                libqt5x11extras5-dev (>= 5.15.0~),
                pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.15.0~),
-               zlib1g-dev
+               zlib1g-dev,
 Standards-Version: 4.5.0
 Homepage: https://invent.kde.org/plasma/drkonqi
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/drkonqi

## drkonqi 5.22.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(drkonqi)
set(PROJECT_VERSION "5.22.5")
set(PROJECT_VERSION_MAJOR 5)

set(QT_MIN_VERSION "5.15.0")
set(KF5_MIN_VERSION "5.82")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)
include(ECMMarkAsTest)
include(CheckFunctionExists)
include(FeatureSummary)
include(KDEClangFormat)
if(ECM_VERSION VERSION_GREATER_EQUAL 5.79)
    include(KDEGitCommitHooks)
endif()

kde_enable_exceptions()

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Widgets Test DBus Concurrent)

find_package(
    KF5
    ${KF5_MIN_VERSION}
    REQUIRED
    COMPONENTS
        I18n
        CoreAddons
        Service
        ConfigWidgets
        JobWidgets
        KIO
        Crash
        Completion
        WidgetsAddons
        Wallet
        Notifications
        IdleTime
        WindowSystem
        SyntaxHighlighting
)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)

if(MINGW)
    find_package(ZLIB REQUIRED)
    find_library(INTL_LIBRARY NAMES intl)
    find_library(IBERTY_LIBRARY NAMES iberty)
    find_library(BFD_LIBRARY NAMES bfd)
    if(IBERTY_LIBRARY)
        set(iberty_FOUND 1)
    else()
        set(msg "iberty")
    endif()
    if(BFD_LIBRARY)
        set(bfd_FOUND 1)
    else()
        set(msg "${msg} bfd")
    endif()
    if(INTL_LIBRARY)
        set(intl_FOUND 1)
    else()
        set(msg "${msg} intl")
    endif()
    if(msg)
        message(FATAL_ERROR "could not find ${msg}")
    endif()

    add_library(intl SHARED IMPORTED)
    set_target_properties(intl PROPERTIES IMPORTED_IMPLIB ${INTL_LIBRARY})
    add_library(iberty STATIC IMPORTED)
    set_target_properties(iberty PROPERTIES IMPORTED_LOCATION ${IBERTY_LIBRARY})
    add_library(bfd STATIC IMPORTED)
    set_target_properties(
        bfd
        PROPERTIES
            IMPORTED_LOCATION ${BFD_LIBRARY}
            # bfd header requires this to be defined
            INTERFACE_COMPILE_DEFINITIONS "PACKAGE;PACKAGE_VERSION"
    )
    find_path(BFD_INCLUDE_DIR bfd.h)
    include_directories(${BFD_INCLUDE_DIR})
endif()

include_directories("${CMAKE_CURRENT_BINARY_DIR}")

add_subdirectory(src)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
if(ECM_VERSION VERSION_GREATER_EQUAL 5.79)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()

ecm_qt_install_logging_categories(
    EXPORT DRKONQI
    FILE drkonqi.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== debian/changelog ===
drkonqi (5.22.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 00:45:33 +0200

drkonqi (5.22.4-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 27 Jul 2021 13:41:59 +0100

drkonqi (5.22.3-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Jul 2021 14:05:22 +0100

drkonqi (5.22.2.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 21:50:54 +0100

drkonqi (5.22.2-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 18:57:02 +0100

drkonqi (5.22.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Jun 2021 14:08:55 +0100

drkonqi (5.22.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 11:52:34 +0100

drkonqi (5.21.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.21.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 May 2021 17:01:30 +0100

=== debian/control ===
--- 
+++ 
@@ -8,22 +8,22 @@
 Build-Depends: cmake (>= 3.0~),
                dbus-x11,
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.74~),
+               extra-cmake-modules (>= 5.82.0~),
                gettext,
-               libkf5completion-dev (>= 5.74~),
-               libkf5configwidgets-dev (>= 5.74~),
-               libkf5coreaddons-dev (>= 5.74~),
-               libkf5crash-dev (>= 5.74~),
-               libkf5i18n-dev (>= 5.74~),
-               libkf5idletime-dev (>= 5.74~),
-               libkf5jobwidgets-dev (>= 5.74~),
-               libkf5kio-dev (>= 5.74~),
-               libkf5notifications-dev (>= 5.74~),
-               libkf5service-dev (>= 5.74~),
-               libkf5syntaxhighlighting-dev (>= 5.74~),
-               libkf5wallet-dev (>= 5.74~),
-               libkf5widgetsaddons-dev (>= 5.74~),
-               libkf5windowsystem-dev (>= 5.74~),
+               libkf5completion-dev (>= 5.82.0~),
+               libkf5configwidgets-dev (>= 5.82.0~),
+               libkf5coreaddons-dev (>= 5.82.0~),
+               libkf5crash-dev (>= 5.82.0~),
+               libkf5i18n-dev (>= 5.82.0~),
+               libkf5idletime-dev (>= 5.82.0~),
+               libkf5jobwidgets-dev (>= 5.82.0~),
+               libkf5kio-dev (>= 5.82.0~),
+               libkf5notifications-dev (>= 5.82.0~),
+               libkf5service-dev (>= 5.82.0~),
+               libkf5syntaxhighlighting-dev (>= 5.82.0~),
+               libkf5wallet-dev (>= 5.82.0~),
+               libkf5widgetsaddons-dev (>= 5.82.0~),
+               libkf5windowsystem-dev (>= 5.82.0~),
                libqt5x11extras5-dev (>= 5.15.0~),
                pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.15.0~),

## drkonqi 5.23.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,18 +1,18 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(drkonqi)
-set(PROJECT_VERSION "5.22.5")
+set(PROJECT_VERSION "5.23.3")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.15.0")
-set(KF5_MIN_VERSION "5.82")
+set(KF5_MIN_VERSION "5.86")
 
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )
+set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
@@ -23,9 +23,7 @@
 include(CheckFunctionExists)
 include(FeatureSummary)
 include(KDEClangFormat)
-if(ECM_VERSION VERSION_GREATER_EQUAL 5.79)
-    include(KDEGitCommitHooks)
-endif()
+include(KDEGitCommitHooks)
 
 kde_enable_exceptions()
 
@@ -52,6 +50,20 @@
         SyntaxHighlighting
 )
 add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
+
+find_package(Systemd)
+set_package_properties(Systemd PROPERTIES TYPE RECOMMENDED PURPOSE "Coredumpd integration.")
+
+if(Systemd_FOUND)
+    find_package(coredumpctl)
+    set_package_properties(
+        coredumpctl
+        PROPERTIES
+        TYPE RUNTIME
+        DESCRIPTION "coredumpd CLI. part of systemd"
+        PURPOSE "Required for coredumpd support to work at runtime!"
+    )
+endif()
 
 if(MINGW)
     find_package(ZLIB REQUIRED)
@@ -100,9 +112,7 @@
 # add clang-format target for all our real source files
 file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
 kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
-if(ECM_VERSION VERSION_GREATER_EQUAL 5.79)
-    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
-endif()
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
 
 ecm_qt_install_logging_categories(
     EXPORT DRKONQI

=== src/coredump/launcher/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2019-2021 Harald Sitter <sitter@kde.org>

add_executable(drkonqi-coredump-launcher main.cpp)
target_link_libraries(drkonqi-coredump-launcher Qt::Core Qt::Network Systemd::systemd)
target_compile_options(
    drkonqi-coredump-launcher
    PRIVATE
        -DKDE_INSTALL_FULL_LIBEXECDIR=\"${KDE_INSTALL_FULL_LIBEXECDIR}\"
        -DKDE_PLUGIN_INSTALL_DIR=\"${PLUGIN_INSTALL_DIR}\"
)
install(TARGETS drkonqi-coredump-launcher DESTINATION ${KDE_INSTALL_LIBEXECDIR})

configure_file(drkonqi-coredump-launcher@.service.cmake ${CMAKE_CURRENT_BINARY_DIR}/drkonqi-coredump-launcher@.service)
install(
    FILES drkonqi-coredump-launcher.socket ${CMAKE_CURRENT_BINARY_DIR}/drkonqi-coredump-launcher@.service
    DESTINATION ${SYSTEMD_USER_UNIT_INSTALL_DIR}
)

add_library(KDECoredumpNotifierTruck MODULE NotifierTruck.cpp)
target_link_libraries(KDECoredumpNotifierTruck Qt5::Core KF5::Notifications)
install(TARGETS KDECoredumpNotifierTruck DESTINATION ${PLUGIN_INSTALL_DIR}/drkonqi/)

=== debian/control ===
--- 
+++ 
@@ -3,27 +3,27 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Scarlett Moore <sgmoore@kde.org>,
-           Patrick Franz <patfra71@gmail.com>,
-           Norbert Preining <norbert@preining.info>
-Build-Depends: cmake (>= 3.0~),
+           Patrick Franz <deltaone@debian.org>,
+           Norbert Preining <norbert@preining.info>,
+Build-Depends: cmake (>= 3.16~),
                dbus-x11,
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.82.0~),
+               extra-cmake-modules (>= 5.86~),
                gettext,
-               libkf5completion-dev (>= 5.82.0~),
-               libkf5configwidgets-dev (>= 5.82.0~),
-               libkf5coreaddons-dev (>= 5.82.0~),
-               libkf5crash-dev (>= 5.82.0~),
-               libkf5i18n-dev (>= 5.82.0~),
-               libkf5idletime-dev (>= 5.82.0~),
-               libkf5jobwidgets-dev (>= 5.82.0~),
-               libkf5kio-dev (>= 5.82.0~),
-               libkf5notifications-dev (>= 5.82.0~),
-               libkf5service-dev (>= 5.82.0~),
-               libkf5syntaxhighlighting-dev (>= 5.82.0~),
-               libkf5wallet-dev (>= 5.82.0~),
-               libkf5widgetsaddons-dev (>= 5.82.0~),
-               libkf5windowsystem-dev (>= 5.82.0~),
+               libkf5completion-dev (>= 5.86~),
+               libkf5configwidgets-dev (>= 5.86~),
+               libkf5coreaddons-dev (>= 5.86~),
+               libkf5crash-dev (>= 5.86~),
+               libkf5i18n-dev (>= 5.86~),
+               libkf5idletime-dev (>= 5.86~),
+               libkf5jobwidgets-dev (>= 5.86~),
+               libkf5kio-dev (>= 5.86~),
+               libkf5notifications-dev (>= 5.86~),
+               libkf5service-dev (>= 5.86~),
+               libkf5syntaxhighlighting-dev (>= 5.86~),
+               libkf5wallet-dev (>= 5.86~),
+               libkf5widgetsaddons-dev (>= 5.86~),
+               libkf5windowsystem-dev (>= 5.86~),
                libqt5x11extras5-dev (>= 5.15.0~),
                pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.15.0~),

## drkonqi 5.24.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(drkonqi)
-set(PROJECT_VERSION "5.23.3")
+set(PROJECT_VERSION "5.24.4")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.15.0")
@@ -49,7 +49,9 @@
         WindowSystem
         SyntaxHighlighting
 )
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
+
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055900)
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
 
 find_package(Systemd)
 set_package_properties(Systemd PROPERTIES TYPE RECOMMENDED PURPOSE "Coredumpd integration.")

=== src/coredump/processor/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2019-2021 Harald Sitter <sitter@kde.org>

add_executable(drkonqi-coredump-processor main.cpp)
target_link_libraries(drkonqi-coredump-processor Qt::Core Qt::Network Systemd::systemd)
install(TARGETS drkonqi-coredump-processor DESTINATION ${KDE_INSTALL_LIBEXECDIR})

configure_file(
    drkonqi-coredump-processor@.service.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/drkonqi-coredump-processor@.service
)
install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/drkonqi-coredump-processor@.service
    DESTINATION ${KDE_INSTALL_SYSTEMDUNITDIR}/system
)

# https://github.com/systemd/systemd/issues/19437
add_feature_info(
    "drkonqi-coredump-processor@.service"
    FALSE
    "The service does not enable correctly with systemd (up to at least version 248). It needs manual symlinking to enable.")

=== src/tests/bugzillalibtest/CMakeLists.txt ===
set(bugzillalibtest_SRCS bugzillalibtest.cpp ../../bugzillaintegration/bugzillalib.cpp)

ecm_qt_declare_logging_category(
    bugzillalibtest_SRCS
    HEADER drkonqi_debug.h
    IDENTIFIER DRKONQI_LOG
    CATEGORY_NAME org.kde.drkonqi
)

add_executable(bugzillalibtest ${bugzillalibtest_SRCS})
ecm_mark_as_test(bugzillalibtest)

target_link_libraries(bugzillalibtest KF5::KIOWidgets KF5::I18n qbugzilla)

=== debian/changelog ===
drkonqi (5.24.4-0ubuntu1) jammy; urgency=medium

  * New upstream bugfix release (5.24.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Mar 2022 10:19:19 +0100

drkonqi (5.24.3-0ubuntu1) jammy; urgency=medium

  * Update maintainer to Kubuntu Developers.
  * New upstream release (5.24.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 08 Mar 2022 12:13:51 +0000

drkonqi (5.24.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Feb 2022 15:00:49 +0000

drkonqi (5.24.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Feb 2022 14:20:23 +0000

drkonqi (5.24.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Feb 2022 21:26:26 +0000

drkonqi (5.23.90-0ubuntu1) jammy; urgency=medium

  * New upstream beta release (5.23.90)
  * Build-dep on pkg-config

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Jan 2022 10:17:54 +0000

drkonqi (5.23.5-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Jan 2022 10:39:43 +0000

drkonqi (5.23.4-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 30 Nov 2021 21:55:47 +0000

drkonqi (5.23.3-1ubuntu1) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 29 Nov 2021 17:17:11 +0000

drkonqi (5.23.3-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.3).

 -- Norbert Preining <norbert@preining.info>  Wed, 10 Nov 2021 08:37:07 +0900

drkonqi (5.23.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.

  [ Norbert Preining ]
  * New upstream release (5.23.1).
  * New upstream release (5.23.2).

 -- Norbert Preining <norbert@preining.info>  Wed, 03 Nov 2021 22:21:01 +0900

drkonqi (5.23.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.0).

 -- Norbert Preining <norbert@preining.info>  Thu, 14 Oct 2021 20:13:13 +0900

drkonqi (5.21.5-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Release to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 17 Aug 2021 03:23:08 +0200

drkonqi (5.21.5-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.5).

 -- Patrick Franz <patfra71@gmail.com>  Fri, 07 May 2021 13:53:49 +0200

drkonqi (5.21.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.4).

 -- Patrick Franz <patfra71@gmail.com>  Tue, 06 Apr 2021 17:46:16 +0200

drkonqi (5.21.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.3).

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Mar 2021 05:49:40 +0900

drkonqi (5.21.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.2).

 -- Norbert Preining <norbert@preining.info>  Wed, 03 Mar 2021 05:33:48 +0900

drkonqi (5.21.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.1).

 -- Norbert Preining <norbert@preining.info>  Wed, 24 Feb 2021 14:36:38 +0900

drkonqi (5.21.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Feb 2021 05:42:26 +0900

=== debian/control ===
--- 
+++ 
@@ -1,37 +1,39 @@
 Source: drkonqi
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Scarlett Moore <sgmoore@kde.org>,
            Patrick Franz <deltaone@debian.org>,
            Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
                dbus-x11,
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.86~),
+               extra-cmake-modules (>= 5.90.0~),
                gettext,
-               libkf5completion-dev (>= 5.86~),
-               libkf5configwidgets-dev (>= 5.86~),
-               libkf5coreaddons-dev (>= 5.86~),
-               libkf5crash-dev (>= 5.86~),
-               libkf5i18n-dev (>= 5.86~),
-               libkf5idletime-dev (>= 5.86~),
-               libkf5jobwidgets-dev (>= 5.86~),
-               libkf5kio-dev (>= 5.86~),
-               libkf5notifications-dev (>= 5.86~),
-               libkf5service-dev (>= 5.86~),
-               libkf5syntaxhighlighting-dev (>= 5.86~),
-               libkf5wallet-dev (>= 5.86~),
-               libkf5widgetsaddons-dev (>= 5.86~),
-               libkf5windowsystem-dev (>= 5.86~),
+               libkf5completion-dev (>= 5.90.0~),
+               libkf5configwidgets-dev (>= 5.90.0~),
+               libkf5coreaddons-dev (>= 5.90.0~),
+               libkf5crash-dev (>= 5.90.0~),
+               libkf5i18n-dev (>= 5.90.0~),
+               libkf5idletime-dev (>= 5.90.0~),
+               libkf5jobwidgets-dev (>= 5.90.0~),
+               libkf5kio-dev (>= 5.90.0~),
+               libkf5notifications-dev (>= 5.90.0~),
+               libkf5service-dev (>= 5.90.0~),
+               libkf5syntaxhighlighting-dev (>= 5.90.0~),
+               libkf5wallet-dev (>= 5.90.0~),
+               libkf5widgetsaddons-dev (>= 5.90.0~),
+               libkf5windowsystem-dev (>= 5.90.0~),
                libqt5x11extras5-dev (>= 5.15.0~),
+               pkg-config,
                pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.15.0~),
                zlib1g-dev,
 Standards-Version: 4.5.0
 Homepage: https://invent.kde.org/plasma/drkonqi
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/drkonqi
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/drkonqi.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/drkonqi
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/drkonqi
 Rules-Requires-Root: no
 
 Package: drkonqi

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_test:

## drkonqi 5.24.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(drkonqi)
-set(PROJECT_VERSION "5.24.4")
+set(PROJECT_VERSION "5.24.5")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.15.0")

=== src/coredump/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2021 Harald Sitter <sitter@kde.org>

add_subdirectory(cleanup)
add_subdirectory(processor)
add_subdirectory(launcher)

=== src/kdbgwin/CMakeLists.txt ===
--- 
+++ 
@@ -14,15 +14,15 @@
     ${CMAKE_CURRENT_BINARY_DIR}/../drkonqi_debug.cpp
 )
 
-set(COMMON_LIBS dbghelp psapi shlwapi Qt5::Core)
+set(COMMON_LIBS dbghelp psapi shlwapi Qt::Core)
 
-if ( MINGW )
+if(MINGW)
     add_executable(kdbgwin ${kdbgwin_SRCS} mingw_generator.h mingw_generator.cpp)
     target_link_libraries(kdbgwin PRIVATE ${COMMON_LIBS} bfd iberty intl ZLIB::ZLIB)
-endif ()
-if ( MSVC OR ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Intel"))
+endif()
+if(MSVC OR ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Intel"))
     add_executable(kdbgwin ${kdbgwin_SRCS} msvc_generator.h msvc_generator.cpp)
     target_link_libraries(kdbgwin ${COMMON_LIBS})
-endif ()
+endif()
 
 install(TARGETS kdbgwin DESTINATION ${KDE_INSTALL_LIBEXECDIR})

=== src/tests/CMakeLists.txt ===
if(NOT BUILD_TESTING)
    # Skip everything. Particularly trying to look for integration test deps.
    return()
endif()

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

find_package(Qt5Test ${REQUIRED_QT_VERSION} CONFIG REQUIRED)

# Test helper for systeminformationtest
if(HAVE_UNAME)
    add_executable(lsb_release lsb_release_double.c)

    ecm_add_tests(systeminformationtest.cpp LINK_LIBRARIES Qt::Core Qt::Test DrKonqiInternal)
endif()

add_subdirectory(crashtest)
add_subdirectory(backtraceparsertest)
add_subdirectory(bugzillalibtest)

ecm_add_tests(gdbbacktracelinetest.cpp LINK_LIBRARIES Qt::Core Qt::Test drkonqi_backtrace_parser)
ecm_add_tests(
        linuxprocmapsparsertest.cpp
        statusnotifier_activationclosetimertest.cpp
    LINK_LIBRARIES Qt::Core Qt::Test DrKonqiInternal)

if(NOT APPLE)
    if(NOT RUBY_EXECTUABLE)
        find_program(RUBY_EXECUTABLE ruby)
    endif()
    if(RUBY_EXECUTABLE)
        execute_process(COMMAND ${RUBY_EXECUTABLE} -e "require 'atspi'" RESULT_VARIABLE RUBY_ATSPI)
    endif()
    if(NOT GDB_EXECUTABLE)
        # Needed so drkonqi can actually trace something.
        find_program(GDB_EXECUTABLE gdb)
    endif()
    if(NOT XVFB_RUN_EXECTUABLE)
        find_program(XVFB_RUN_EXECTUABLE xvfb-run)
    endif()

    set(ATSPI_PATHS
        /usr/lib/at-spi2-core/ # debians
        /usr/libexec/ # newer debians
        /usr/lib/at-spi2/ # suses
    )
    if(NOT ATSPI_BUS_LAUNCHER_EXECUTABLE)
        find_program(
            ATSPI_BUS_LAUNCHER_EXECUTABLE
            NAMES at-spi-bus-launcher
            PATHS ${ATSPI_PATHS}
            DOC "AT-SPI accessibility dbus launcher"
        )
    endif()
    if(NOT ATSPI_REGISTRYD_EXECUTABLE)
        find_program(
            ATSPI_REGISTRYD_EXECUTABLE
            NAMES at-spi2-registryd
            PATHS ${ATSPI_PATHS}
            DOC "AT-SPI accessibility registry daemon"
        )
    endif()

    if(
        RUBY_EXECUTABLE
        AND XVFB_RUN_EXECTUABLE
        AND ATSPI_BUS_LAUNCHER_EXECUTABLE
        AND ATSPI_REGISTRYD_EXECUTABLE
        AND GDB_EXECUTABLE
        AND RUBY_ATSPI EQUAL 0
    )
        set(WITH_DRKONI_INTEGRATION_TESTING TRUE)
        add_subdirectory(integration)
    endif()
    add_feature_info(
        DrKonqiIntegrationTesting
        WITH_DRKONI_INTEGRATION_TESTING
        "Needs Ruby, functional atspi gem, gdb, as well as xvfb-run."
    )
endif()

=== debian/changelog ===
drkonqi (5.24.5-0ubuntu0.1) jammy; urgency=medium

  * New upstream bugfix release (5.24.5)
  * SRU to 22.04 (LP: #1986447)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Aug 2022 09:06:03 +0100

## drkonqi 5.25.5

=== debian/changelog ===
drkonqi (5.25.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 09 Sep 2022 23:20:20 +0200

drkonqi (5.25.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 02 Aug 2022 17:30:11 +0200

drkonqi (5.25.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.2).
  * Drop bogus build dependency on libkf5configwidgets-dev.
  * Add optional build dependencies on pkg-config and libsystemd-dev.
  * Add lintian override for no-manual-page [usr/bin/drkonqi-coredump-
    gui].
  * New upstream release (5.25.3).
  * Release to unstable

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 17 Jul 2022 15:25:56 +0200

drkonqi (5.25.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Add missing dependency qml-module-org-kde-syntaxhighlighting.

 -- Patrick Franz <deltaone@debian.org>  Fri, 24 Jun 2022 13:39:37 +0200

drkonqi (5.25.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.25.1).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 21 Jun 2022 21:46:32 +0200

drkonqi (5.25.0-1) experimental; urgency=medium

  * New upstream release (5.25.0).
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 14 Jun 2022 21:25:58 +0200

drkonqi (5.24.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.90).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 20 May 2022 11:25:07 +0200

drkonqi (5.24.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 12 May 2022 21:38:54 +0200

drkonqi (5.24.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 30 Mar 2022 13:43:04 +0200

drkonqi (5.24.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.3).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 10 Mar 2022 07:43:57 +0100

drkonqi (5.24.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.24.2).
  * Bump Standards-Version to 4.6.0 (no changes needed).
  * Re-export signing key without extra signatures.

 -- Patrick Franz <deltaone@debian.org>  Sat, 26 Feb 2022 21:57:48 +0100

drkonqi (5.23.5-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.23.5).

 -- Patrick Franz <deltaone@debian.org>  Fri, 07 Jan 2022 15:43:17 +0100

drkonqi (5.23.4-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.4).

 -- Patrick Franz <deltaone@debian.org>  Thu, 02 Dec 2021 20:23:52 +0100

=== debian/control ===
Source: drkonqi
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               dbus-x11,
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.94~),
               gettext,
               libkf5completion-dev (>= 5.94~),
               libkf5config-dev (>= 5.94~),
               libkf5coreaddons-dev (>= 5.94~),
               libkf5crash-dev (>= 5.94~),
               libkf5declarative-dev (>= 5.94~),
               libkf5i18n-dev (>= 5.94~),
               libkf5idletime-dev (>= 5.94~),
               libkf5jobwidgets-dev (>= 5.94~),
               libkf5kio-dev (>= 5.94~),
               libkf5notifications-dev (>= 5.94~),
               libkf5service-dev (>= 5.94~),
               libkf5syntaxhighlighting-dev (>= 5.94~),
               libkf5wallet-dev (>= 5.94~),
               libkf5widgetsaddons-dev (>= 5.94~),
               libkf5windowsystem-dev (>= 5.94~),
               libqt5x11extras5-dev (>= 5.15.0~),
               libsystemd-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               zlib1g-dev,
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/plasma/drkonqi
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/drkonqi
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/drkonqi.git
Rules-Requires-Root: no

Package: drkonqi
Architecture: any
Depends: qml-module-org-kde-syntaxhighlighting,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma-workspace (<< 4:5.14)
Replaces: plasma-workspace (<< 4:5.11)
Description: Crash handler for Qt applications
 Drkonqi shows a dialog for dealing with application crashes.
 .
 Drkonqi also doesn't technically require a process to actually crash, you
 can simply run it manually on any old pid. Do note that in most cases you
 only need to define the pid, however not giving certain cmdline options can
 change behavior somewhat drastically (e.g. kdeinit vs. notkdeinit behaves
 radically different as far as process name detection goes) . Drkonqi has a
 number of backends that may be used. Backends are stacked by order of
 preference, backends in the directory of the binary are most preferred.
 This means that you can dump debuggers/internal/ into your build's bin/
 directory and override for example gdb. This essentially allows you to
 replace the gdb debugger with a cat of a fixture file to not have to trace
 live processes at all.
